Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.http.portlets
Class HipergatePortletConfig

    java.lang.Object
      com.knowgate.http.portlets.HipergatePortletConfig

    public class HipergatePortletConfig

extends java.lang.Object

Constructor Summary
`HipergatePortletConfig()`

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration` | `getInitParameterNames()`
`PortletContext` | `getPortletContext()`
`java.lang.String` | `getPortletName()`
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale locale)`
`static void` | `touch(java.sql.Connection oCon, java.lang.String sUserId, java.lang.String sPortletNm, java.lang.String sWrkAId)` Touch portlet last modified date Portlet last modified date is used for caching portlet output

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HipergatePortletConfig

    public HipergatePortletConfig()

Method Detail

### getPortletName

    public java.lang.String getPortletName()

### getPortletContext

    public PortletContext getPortletContext()

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.util.Locale locale)

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

### touch

    public static void touch(java.sql.Connection oCon,
                             java.lang.String sUserId,
                             java.lang.String sPortletNm,
                             java.lang.String sWrkAId)
                      throws java.sql.SQLException

  Touch portlet last modified date

  Portlet last modified date is used for caching portlet output

  Parameters:
    `oCon` - JDBC database connection
    `sUserId` - GUID of ACLUser owner of the portlet
    `sPortletNm` - GenericPortlet subclass name
    `sWrkAId` - GUID of WorkArea where portlet is shown
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD